Skip to main content
POST
/
backend
/
flows
/
run_workflow
curl --location 'http://example.com/backend/flows/run_workflow' \
--header 'Content-Type: application/json' \
--data '{
    "swagger_url": "https://petstore3.swagger.io/api/v3/openapi.yaml",
    "namespace": "workflows",
    "server_base_url": "https://petstore3.swagger.io/api/v3",
    "base_prompt": "System alignment prompt",
    "text": "List available pets and place order for the first pet in that list"
}'
{
  "status": 200,
  "data": {
    "message": "Workflow executed successfully."
  }
}

Request

text
string
The text describing the workflow.
swagger_url
string
The URL to the Swagger/OpenAPI specification.
namespace
string
The namespace for the workflow.
server_base_url
string
The base URL of the server.
base_prompt
string
The initial system message.
curl --location 'http://example.com/backend/flows/run_workflow' \
--header 'Content-Type: application/json' \
--data '{
    "swagger_url": "https://petstore3.swagger.io/api/v3/openapi.yaml",
    "namespace": "workflows",
    "server_base_url": "https://petstore3.swagger.io/api/v3",
    "base_prompt": "System alignment prompt",
    "text": "List available pets and place order for the first pet in that list"
}'
{
  "status": 200,
  "data": {
    "message": "Workflow executed successfully."
  }
}